curl --request POST \
--url https://api.village.ai/v2/people/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linkedin_urls": "<string>",
"realtime": true
}
'{
"data": {
"job_ids": [
"cGVvcGxlLXJlZnJlc2gtMTczNDg4MzIwMDAwMC1hYmMxMjM="
],
"people": [
{
"id": 11111,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"linkedin_url": "https://linkedin.com/in/johndoe",
"headline": "CEO at Acme Corporation",
"about_me": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"work_relevant": {
"title": "Chief Executive Officer",
"company": {
"id": 11111,
"name": "Acme Corporation",
"linkedin_url": "https://linkedin.com/company/acme",
"domain": "acme.com",
"industry": "Technology",
"employee_count": 5000,
"image_url": "https://logo.clearbit.com/acme.com",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"headquarters": "San Francisco, California, United States",
"type": "Public",
"founded_year": 2015,
"funding": {
"price": "<string>",
"investors": [
{}
],
"last_round_date": "<string>",
"last_round_stage": "<string>",
"number_of_rounds": 123
}
},
"start_date": "2020-01-15",
"end_date": null
},
"work_history": [
{
"title": "Chief Executive Officer",
"company": {
"id": 11111,
"name": "Acme Corporation",
"linkedin_url": "https://linkedin.com/company/acme",
"domain": "acme.com",
"industry": "Technology",
"employee_count": 5000,
"image_url": "https://logo.clearbit.com/acme.com",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"headquarters": "San Francisco, California, United States",
"type": "Public",
"founded_year": 2015,
"funding": {
"price": "<string>",
"investors": [
{}
],
"last_round_date": "<string>",
"last_round_stage": "<string>",
"number_of_rounds": 123
}
},
"start_date": "2020-01-15",
"end_date": null
}
],
"education_history": [
{
"institute": "Stanford University",
"degree": "Bachelor of Science",
"field_of_study": "Computer Science",
"start_date": "<string>",
"end_date": "<string>"
}
],
"image_url": "https://media.licdn.com/dms/image/...",
"email": "john.doe@example.com"
}
],
"timeout_occurred": true,
"failures": [
{
"linkedin_url": "<string>",
"error": "<string>"
}
]
},
"metadata": {
"request_id": "<string>"
}
}Refresh/import people data from LinkedIn URLs. Supports both realtime (synchronous with timeout) and async modes. In realtime mode, returns enriched person data immediately or times out after 25 seconds. In async mode, returns job IDs for later status checking.
curl --request POST \
--url https://api.village.ai/v2/people/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linkedin_urls": "<string>",
"realtime": true
}
'{
"data": {
"job_ids": [
"cGVvcGxlLXJlZnJlc2gtMTczNDg4MzIwMDAwMC1hYmMxMjM="
],
"people": [
{
"id": 11111,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"linkedin_url": "https://linkedin.com/in/johndoe",
"headline": "CEO at Acme Corporation",
"about_me": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"work_relevant": {
"title": "Chief Executive Officer",
"company": {
"id": 11111,
"name": "Acme Corporation",
"linkedin_url": "https://linkedin.com/company/acme",
"domain": "acme.com",
"industry": "Technology",
"employee_count": 5000,
"image_url": "https://logo.clearbit.com/acme.com",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"headquarters": "San Francisco, California, United States",
"type": "Public",
"founded_year": 2015,
"funding": {
"price": "<string>",
"investors": [
{}
],
"last_round_date": "<string>",
"last_round_stage": "<string>",
"number_of_rounds": 123
}
},
"start_date": "2020-01-15",
"end_date": null
},
"work_history": [
{
"title": "Chief Executive Officer",
"company": {
"id": 11111,
"name": "Acme Corporation",
"linkedin_url": "https://linkedin.com/company/acme",
"domain": "acme.com",
"industry": "Technology",
"employee_count": 5000,
"image_url": "https://logo.clearbit.com/acme.com",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"headquarters": "San Francisco, California, United States",
"type": "Public",
"founded_year": 2015,
"funding": {
"price": "<string>",
"investors": [
{}
],
"last_round_date": "<string>",
"last_round_stage": "<string>",
"number_of_rounds": 123
}
},
"start_date": "2020-01-15",
"end_date": null
}
],
"education_history": [
{
"institute": "Stanford University",
"degree": "Bachelor of Science",
"field_of_study": "Computer Science",
"start_date": "<string>",
"end_date": "<string>"
}
],
"image_url": "https://media.licdn.com/dms/image/...",
"email": "john.doe@example.com"
}
],
"timeout_occurred": true,
"failures": [
{
"linkedin_url": "<string>",
"error": "<string>"
}
]
},
"metadata": {
"request_id": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.village.ai/llms.txt
Use this file to discover all available pages before exploring further.
demo_token_globalPeople refresh initiated successfully
Response containing job IDs for people refresh requests. When realtime=true, also includes the refreshed person data and any failures. If timeout_occurred is true, the request exceeded the timeout limit and was converted to async mode.
Show child attributes
Show child attributes
Was this page helpful?